import { FG_Plugin } from '@flaschengeist/types';

export interface RecurrenceRule {
  frequency: string;
  interval: number;
  count?: number;
  until?: Date;
  weekdays?: Array<number>;
}

interface InvitationData {
  invitation: number;
}

interface InvitationResponseData {
  event: number;
  job: number;
  invitee: string;
}

export interface EventNotification extends FG_Plugin.Notification {
  data: {
    type: number;
  } & (InvitationData | InvitationResponseData);
}
