CREATE = "events_create"
"""Can create events"""

EDIT = "events_edit"
"""Can edit events"""

DELETE = "events_delete"
"""Can delete events"""

EVENT_TYPE = "events_event_type"
"""Can create and edit EventTypes"""

JOB_TYPE = "events_job_type"
"""Can create and edit JobTypes"""

ASSIGN = "events_assign"
"""Can self assign to jobs"""

ASSIGN_OTHER = "events_assign_other"
"""Can assign other users to jobs"""

SEE_BACKUP = "events_see_backup"
"""Can see users assigned as backup"""

LOCK_JOBS = "events_lock_jobs"
"""Can lock jobs, no further services can be assigned or unassigned"""

permissions = [value for key, value in globals().items() if not key.startswith("_")]
